AI&MLOps Platform

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 AI&MLOps Platform 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until

OpenAPI URL

https://aimlops-platform.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Check Cluster Version

1.1.1 - 1.0

get /v1/aimlops-platform/clusters/{cluster_id}/check-version

Description

Check AI&MLOps Platform Cluster Version.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
queryversion
required
Version
Example : 1.28.1
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/clusters/{cluster_id}/check-version?version={version}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.2 - Check Duplication AI&MLOps Platform Name

1.2.1 - 1.0

get /v1/aimlops-platform/check-duplication

Description

Check Duplication AI&MLOps Platform Name. (false: no duplicate value, true: duplicate value)

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryrelease_name
required
Release Name
Example : aiml-test
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/aimlops-platform/check-duplication?release_name={release_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.3 - Create AI&MLOps Platform

1.3.1 - 1.0

post /v1/aimlops-platform

Description

Create AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AiMlOpsPlatformCreateWithK8sEngineRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAsyncResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Request body

{
    "ai_ml_ops_platform_create_request": {
        "ai_ml_ops_platform_endpoint_type": "",
        "ai_ml_ops_platform_type": "Enterprise",
        "cluster_id": "10a599e031e749b7b260868f441e862b",
        "image_id": "10a599e031e749b7b260868f441e862b",
        "initial_user_email": "example@gmail.com",
        "initial_user_password": "147@53A69a",
        "release_name": "aiml-test",
        "storage_class_name": "",
        "tags": []
    },
    "kubernetes_engine_create_request": {
        "cifs_volume_id": "",
        "cloud_logging_enabled": false,
        "k8s_version": "v1.28.1",
        "kubernetes_engine_name": "cluster-test",
        "lb_id": "",
        "private_acl_ip_resource": [],
        "public_acl_ip_address": "",
        "security_group_id_list": [
            "10a599e031e749b7b260868f441e862b"
        ],
        "subnet_id": "10a599e031e749b7b260868f441e862b",
        "volume_id": "10a599e031e749b7b260868f441e862b",
        "vpc_id": "10a599e031e749b7b260868f441e862b"
    },
    "node_pool_create_request": {
        "cluster_id": "10a599e031e749b7b260868f441e862b",
        "desired_node_count": 2,
        "image_os": "ubuntu",
        "image_os_version": "22.04",
        "is_auto_recovery": false,
        "is_auto_scale": false,
        "keypair_name": "keypair",
        "kubernetes_version": "v1.28.1",
        "max_node_count": 3,
        "min_node_count": 2,
        "name": "nodepool-test",
        "server_type_id": "s1v16m64",
        "volume_size": 104,
        "volume_type_name": "SSD"
    }
}

Example HTTP response

Response 201

{
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_id": "10a599e031e749b7b260868f441e862b"
}

1.4 - Delete AI&MLOps Platform

1.4.1 - 1.0

delete /v1/aimlops-platform/{release_id}

Description

Delete AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrelease_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
querywith_k8s
optional
With K8s Engine
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/{release_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

1.5 - Get AI&MLOps Platform details

1.5.1 - 1.0

get /v1/aimlops-platform/{release_id}

Description

Get AI&MLOps Platform details.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrelease_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/{release_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "ai_ml_ops_platform_domain_service": "",
    "ai_ml_ops_platform_endpoint_ip_address": "",
    "ai_ml_ops_platform_endpoint_port": "",
    "ai_ml_ops_platform_endpoint_type": "",
    "ai_ml_ops_platform_type": "Enterprise",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "cluster_name": "cluster-test",
    "cluster_state": "RUNNING",
    "created_by": "10a599e031e749b7b260868f441e862b",
    "created_dt": "2024-05-17T00:23:17Z",
    "dashboard_state": "",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "image_name": "",
    "initial_user_email": "",
    "modified_by": "10a599e031e749b7b260868f441e862b",
    "modified_dt": "2024-05-17T00:23:17Z",
    "project_id": "10a599e031e749b7b260868f441e862b",
    "project_name": "",
    "release_id": "10a599e031e749b7b260868f441e862b",
    "release_name": "aiml-test",
    "release_state": "DEPLOYED",
    "storage_class_name": "",
    "version": "v1.7.1"
}

1.6 - List AI&MLOps Platform

1.6.1 - 1.0

get /v1/aimlops-platform

Description

Get List of AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc
querycreated_by
optional
Created By
Example : 10a599e031e749b7b260868f441e862b
string
queryrelease_name
optional
Release Name
Example : aiml-test
string
querycluster_name
optional
Cluster Name
Example : cluster-test
string
queryversion
optional
Version
Example : v1.7.1
string
querykubeflow_type
optional
Kubeflow Type
Example : Mini
string
querystatus
optional
Service State
Example : DEPLOYED
string

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformsListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "10a599e031e749b7b260868f441e862b",
            "cluster_name": "cluster-test",
            "created_by": "10a599e031e749b7b260868f441e862b",
            "created_dt": "2024-05-17T00:23:17Z",
            "kubeflow_type": "Enterprise",
            "modified_by": "10a599e031e749b7b260868f441e862b",
            "modified_dt": "2024-05-17T00:23:17Z",
            "release_id": "10a599e031e749b7b260868f441e862b",
            "release_name": "aiml-test",
            "status": "DEPLOYED",
            "version": "v1.7.1"
        }
    ],
    "total_count": 10
}

1.7 - List Images

1.7.1 - 1.0

get /v1/aimlops-platform/images

Description

Get List of AI&MLOps Platform Images.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc
queryimage_name
optional
Image Name
Example :
string

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformImagesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "base_image": "",
            "category": "",
            "created_by": "10a599e031e749b7b260868f441e862b",
            "created_dt": "2024-05-17T00:23:17Z",
            "description": "",
            "icon_file": "",
            "icon_file_name": "",
            "image_attr": "",
            "image_id": "",
            "image_name": "",
            "modified_by": "10a599e031e749b7b260868f441e862b",
            "modified_dt": "2024-05-17T00:23:17Z",
            "os_type": "",
            "product_type": "Enterprise",
            "project_id": "10a599e031e749b7b260868f441e862b"
        }
    ],
    "total_count": 10
}

1.8 - List Nodes

1.8.1 - 1.0

get /v1/aimlops-platform/internal/clusters/{cluster_id}/nodes

Description

Get List of AI&MLOps Platform Nodes.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc

Responses

HTTP CodeDescriptionSchema
200OKListNodeResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/internal/clusters/{cluster_id}/nodes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "count": 0,
    "links": [],
    "nodes": []
}

1.9 - List StorageClasses

1.9.1 - 1.0

get /v1/aimlops-platform/internal/clusters/{cluster_id}/storageclasses

Description

Get List of AI&MLOps Platform StorageClasses.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListStorageClassResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/internal/clusters/{cluster_id}/storageclasses

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "count": 0,
    "links": [],
    "storage_classes": []
}

1.10 - Update AI&MLOps Platform

1.10.1 - 1.0

put /v1/aimlops-platform/{release_id}

Description

Update AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrelease_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
bodybody
required

AiMlOpsPlatformUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKAsyncResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/{release_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Request body

{
    "ai_ml_ops_platform_domain_service": {
        "dns_id": "acdd205d-b1d3-44e7-ab7a-429ca090e941",
        "domain_service_name": "sample.aimlopsplatform.com",
        "ip": "192.168.3.197",
        "operation_type": "CREATE | UPDATE | DELETE",
        "record_id": "8af744b9-4893-4f98-881d-4df984de7162",
        "record_name": "sample"
    },
    "ai_ml_ops_platform_endpoint_type": "Public | Private"
}

Example HTTP response

Response 200

{
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_id": "10a599e031e749b7b260868f441e862b"
}

1.11 - Validate Cluster Namespace

1.11.1 - 1.0

get /v1/aimlops-platform/clusters/{cluster_id}/validate-namespaces

Description

Validate instability for AI&MLOps Platform. (whether already installed or not)

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/clusters/{cluster_id}/validate-namespaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

1.12 - Validate Cluster Resource Size

1.12.1 - 1.0

get /v1/aimlops-platform/clusters/{cluster_id}/validate-resources

Description

Validate whether Cluster Resource size is large enough or not for AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
queryproduct_type
required
Product Type
Example : Enterprise
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/clusters/{cluster_id}/validate-resources?product_type={product_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "result": ""
}

2 - Models

2.1 - AiMLOpsPlatformCreateRequest

NameDescriptionSchemaDefault
ai_ml_ops_platform_endpoint_type
optional
Endpoint Type
Example :
any of [string, null]
ai_ml_ops_platform_type
required
Product Type
Example : Enterprise
string
cluster_id
optional
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
initial_user_email
optional
Initial User Email
Example : example@gmail.com
any of [string, null]
initial_user_password
optional
Initial User Password
Example : 147@53A69a
any of [string, null]
release_name
required
Release Name
Example : aiml-test
string
storage_class_name
optional
Storage Class Name
Example :
any of [string, null]
tags
optional
Tags
array[object]

2.2 - AiMlOpsPlatformCreateWithK8sEngineRequest

NameDescriptionSchemaDefault
ai_ml_ops_platform_create_request
required
AiMLOps Platform Create Request
AiMLOpsPlatformCreateRequest
kubernetes_engine_create_request
optional
Kubernetes Engine Create Request
any of [KubernetesEngineCreateRequest, null]
node_pool_create_request
optional
Nodepool Create Request
any of [NodePoolCreateRequest, null]

2.3 - AiMlOpsPlatformDetailResponse

NameDescriptionSchemaDefault
ai_ml_ops_platform_domain_service
optional
Domain Service
Example :
object
ai_ml_ops_platform_endpoint_ip_address
optional
Endpoint Ip Address
Example :
string
ai_ml_ops_platform_endpoint_port
optional
Endpoint Port
Example :
string
ai_ml_ops_platform_endpoint_type
optional
Endpoint Type
Example :
string
ai_ml_ops_platform_type
optional
Product Type
Example : Enterprise
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
cluster_name
optional
Cluster Name
Example : cluster-test
any of [string, null]
cluster_state
optional
Cluster State
Example : RUNNING
any of [string, null]
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
dashboard_state
required
Dashboard State
Example :
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
image_name
required
Image Name
Example :
string
initial_user_email
required
Initial User Email
Example :
string
modified_by
optional
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
optional
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
project_name
required
Project Name
Example :
string
release_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
string
release_name
required
Release Name
Example : aiml-test
string
release_state
required
Service State
Example : DEPLOYED
string
storage_class_name
optional
Storage Class Name
Example :
string
version
optional
Product Version
Example : v1.7.1
string

2.4 - AiMlOpsPlatformDomainServiceReuqest

NameDescriptionSchemaDefault
dns_id
optional
DNS ID
Example : acdd205d-b1d3-44e7-ab7a-429ca090e941
any of [string, null]
domain_service_name
optional
Domain Service Name
Example : sample.aimlopsplatform.com
any of [string, null]
ip
optional
IP
Example : 192.168.3.197
any of [string, null]
operation_type
optional
Operation Type
Example : CREATE | UPDATE | DELETE
any of [string, null]
record_id
optional
Record ID
Example : 8af744b9-4893-4f98-881d-4df984de7162
any of [string, null]
record_name
optional
Record Name
Example : sample
any of [string, null]

2.5 - AiMlOpsPlatformImagesListResponse

NameDescriptionSchemaDefault
contents
required
Contents
array[AiMlOpsPlatformImagesResponse]
total_count
required
Total Count
Example : 10
integer

2.6 - AiMlOpsPlatformImagesResponse

NameDescriptionSchemaDefault
base_image
optional
Base Image
Example :
any of [string, null]
category
optional
Category
Example :
any of [string, null]
created_by
optional
Created By
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
created_dt
optional
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
description
optional
Description
Example :
any of [string, null]
icon_file
optional
Icon File
Example :
any of [string, null]
icon_file_name
optional
Icon File Name
Example :
any of [string, null]
image_attr
optional
Image Attribute
Example :
object
image_id
optional
Image ID
Example :
any of [string, null]
image_name
optional
Image Name
Example :
any of [string, null]
modified_by
optional
Modified By
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
modified_dt
optional
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
os_type
optional
OS Type
Example :
any of [string, null]
product_type
optional
Product Type
Example : Enterprise
any of [string, null]
project_id
optional
Project ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]

2.7 - AiMlOpsPlatformsListResponse

NameDescriptionSchemaDefault
contents
required
Contents
array[KubeflowResponse]
total_count
required
Total Count
Example : 10
integer

2.8 - AiMlOpsPlatformUpdateRequest

NameDescriptionSchemaDefault
ai_ml_ops_platform_domain_service
optional
Domain Service
any of [AiMlOpsPlatformDomainServiceReuqest, null]
ai_ml_ops_platform_endpoint_type
optional
Endpoint Type
Example : Public | Private
any of [string, null]

2.9 - AsyncResponse

NameDescriptionSchemaDefault
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_id
required
Resource ID
Example : 10a599e031e749b7b260868f441e862b
string

2.10 - CheckResponse

NameDescriptionSchemaDefault
result
required
Result
Example :
boolean

2.11 - KubeflowResponse

NameDescriptionSchemaDefault
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
cluster_name
optional
Cluster Name
Example : cluster-test
any of [string, null]
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
kubeflow_type
required
Product Type
Example : Enterprise
string
modified_by
optional
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
optional
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
release_id
required
Release ID
Example : 10a599e031e749b7b260868f441e862b
string
release_name
required
Release Name
Example : aiml-test
string
status
required
Service State
Example : DEPLOYED
string
version
required
Product Version
Example : v1.7.1
string

2.12 - KubernetesEngineCreateRequest

NameDescriptionSchemaDefault
cifs_volume_id
optional
Cifs Volume ID
Example :
any of [string, null]
cloud_logging_enabled
optional
Cloud Logging Enabled
Example : False
boolean
k8s_version
required
Kubernetes Version
Example : v1.28.1
string
kubernetes_engine_name
required
Cluster Name
Example : cluster-test
Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$
Minimum length : 3
Maximum length : 30
string
lb_id
optional
Load Balancer ID
Example :
any of [string, null]
private_acl_ip_resource
optional
Private Acl Ip Resource
array[object]
public_acl_ip_address
optional
Public Acl Ip Address
Example :
any of [string, null]
security_group_id_list
required
List Of Security Group ID
Example : ['10a599e031e749b7b260868f441e862b']
array[string]
subnet_id
required
Subnet ID
Example : 10a599e031e749b7b260868f441e862b
string
volume_id
required
Volume ID
Example : 10a599e031e749b7b260868f441e862b
string
vpc_id
required
VPC ID
Example : 10a599e031e749b7b260868f441e862b
string

2.13 - ListNodeResponse

NameDescriptionSchemaDefault
count
optional
count
Example : 0
integer
links
optional
links
array[object]
nodes
optional
nodes
array[NodeResponse]

2.14 - ListStorageClassResponse

NameDescriptionSchemaDefault
count
optional
count
Example : 0
integer
links
optional
links
array[object]
storage_classes
optional
storage_classes
array[StorageClassResponse]

2.15 - NodePoolCreateRequest

NameDescriptionSchemaDefault
cluster_id
optional
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
desired_node_count
optional
Desired Node Count
Example : 2
any of [integer, null]
image_os
required
Image OS
Example : ubuntu
string
image_os_version
required
Image OS Version
Example : 22.04
string
is_auto_recovery
optional
Is Auto Recovery
Example : False
boolean
is_auto_scale
optional
Is Auto Scale
Example : False
boolean
keypair_name
required
Keypair Name
Example : keypair
string
kubernetes_version
optional
Kubernetes Version
Example : v1.28.1
string
max_node_count
optional
Max Node Count
Example : 3
any of [integer, null]
min_node_count
optional
Min Node Count
Example : 2
any of [integer, null]
name
required
Nodepool Name
Example : nodepool-test
string
server_type_id
required
Server Type ID
Example : s1v16m64
string
volume_size
required
Volume Size
Example : 104
integer
volume_type_name
required
Volume Type Name
Example : SSD
string

2.16 - NodeResponse

NameDescriptionSchemaDefault
age
optional
age
Example :
string
cluster_id
optional
cluster_id
Example :
string
container_version
optional
container_version
Example :
string
created_at
optional
created_at
Example :
string
external_ip_address
optional
external_ip_address
Example :
any of [string, null]
gpu_name
optional
gpu_name
Example :
any of [string, null]
ip
optional
ip
Example :
string
kernel_version
optional
kernel_version
Example :
string
kubernetes_version
optional
kubernetes_version
Example :
string
name
optional
name
Example :
string
node_capacities
optional
node_capacities
array[object]
node_status
optional
node_status
Example :
string
number_of_allocated_pods
optional
number_of_allocated_pods
Example :
string
number_of_gpu
optional
number_of_gpu
Example : 0
integer
os_image
optional
os_image
Example :
string
uid
optional
uid
Example :
string

2.17 - StorageClassResponse

NameDescriptionSchemaDefault
age
optional
age
Example :
string
allow_volume_expansion
optional
allow_volume_expansion
Example :
string
cluster_id
optional
cluster_id
Example :
string
created_at
optional
created_at
Example :
string
default_class
optional
default_class
Example :
string
name
optional
name
Example :
string
provisioner
optional
provisioner
Example :
string
pv_reclaim_policy
optional
pv_reclaim_policy
Example :
string
uid
optional
uid
Example :
string
volume_binding_mode
optional
volume_binding_mode
Example :
string